from src.model.db.bio_sales_view import BioSalesViewModel
from src.system_var import constants
from src.util.sanitize import sanitize


@sanitize
class BisDisplayModel(BioSalesViewModel):
    def __init__(self, param: BioSalesViewModel) -> None:
        super().__init__(**param.dict())

        # 区分・フラグの正式名称を設定
        self.slip_org_kbn = constants.SLIP_ORG_KBN_FULL_NAME.get(self.slip_org_kbn)
        self.data_kbn = constants.DATA_KBN_JP_NAME.get(self.data_kbn)
        self.lot_no_err_flg = constants.LOT_NO_ERR_FLG_JP_NAME.get(self.lot_no_err_flg)

        # 訂正前伝票管理番号がセットされているときのみ修正日時、修正者、エラー詳細種別をセット
        if (self.bef_slip_mgt_num is None):
            self.ins_dt = ""
            self.ins_usr = ""
